
kerio.waw.ui.configurationExport = {

x_m: function(x_n) {
var
x_2w = x_n + '_',
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_j9 = x_1b.x_j9,
x_1c, x_1d,
x_16, x_10,
x_ja,
x_jb;
x_1d = {
x_1e: [
{
x_1f: 'x_79',
x_1j: 'x_jc',
x_23: x_x('Select data you wish to export', 'configurationExport'),
x_1e: [
{
x_1f: 'x_1q',
x_1j: 'x_jd',
x_1l: true,
x_1s: x_x('Configuration', 'configurationExport'),
x_7d: true, x_5p: true },
{
x_1f: 'x_1q',
x_1j: 'x_je',
x_1l: true,
x_1s: x_x('SSL Certificates', 'configurationExport')
},

{
x_1f: 'x_1i',
x_1l: true,
x_1o: x_x('Exported configuration can be used to restore configuration on the same machine, to migrate current Kerio WinRoute Firewall installation to another machine or to share identical configuration on several machines.', 'configurationExport')
}
]
}
] }; if (x_j9) {
x_1d.x_1e.push(
{
x_1f: 'x_79',
x_1j: 'x_jf',
x_1m: true,
x_1l: true,
x_1v: 130,
x_23: x_x('Download exported configuration', 'configurationExport'),
x_1e: [
{
x_1f: 'x_1i',
x_1o: x_x('Configuration was exported successfully.', 'configurationExport')
},
{
x_1f: 'x_1i',
x_1j: 'x_jg',
x_1o: ''
}
]
});
}
x_1c = new kerio.lib.x_1t(x_2w + 'x_1c', x_1d);
x_ja = kerio.lib.x_a1({
x_a2: 300,
cs: 400,
de: 360,
fr: 400,
nl: 360,
pt: 400,
ru: 360,
sk: 360
});
x_jb = kerio.lib.x_a1({
x_a2: 300,
cs: 250
});
x_10 = {
x_1u: x_ja,
x_1v: x_jb,
x_1x: x_1c,
x_1y: x_x('Export Configuration', 'configurationExport'),
x_1z: [
{
x_20: true,
x_1j: 'x_jh',
x_23: x_x('Export…', 'configurationExport'),
x_24: {
x_1n: x_x('Preparing configuration for export…', 'configurationExport')
},

x_25: this.x_iy
},
{
x_21: true,
x_1j: 'x_ji',
x_23: x_x('Cancel', 'common')
}
] }; if (x_j9) {
x_10.x_1z.push(
{
x_21: true,
x_1j: 'x_jj',
x_1m:true,
x_23: x_x('Close', 'common')
}
);
}
x_16 = new kerio.lib.x_26(x_n, x_10);
x_16.x_27({
x_1c: x_1c,
x_j9: x_j9,
x_j4: {
x_hi: 'ConfigurationManager',
x_6p:  'exportId', x_2e: this.x_jk
},
x_jl: '/admin/internal/export?id=%id%'
});
x_1c.x_27({
x_16: x_16,
x_jm: { x_je: 'certificates',
x_jn:   'stats'
}});
this.x_2a(x_16);
return x_16;
},
x_2a: function(x_2b) {
x_2b.x_27({
x_jo: this.x_jo
}); }, 
x_jo: function() {
if (this.x_j9) {
this.x_1c.x_2k(['x_jc'], true);
this.x_1c.x_2k(['x_jf'], false);
this.x_32.x_jp('x_jh');
this.x_32.x_jp('x_ji');
this.x_32.x_jq('x_jj');
}
this.x_1c.x_2h();
}, 
x_iy: function(x_32) {
var
x_16 = x_32.x_2p,
x_1c = x_16.x_1c,
x_47 = x_1c.x_7i(),
x_j4 = x_16.x_j4;
x_47 = x_fi.x_jr(x_47, x_1c.x_jm);
x_fi.x_4y(x_j4.x_hi, x_j4.x_6p, { options: x_47 }, x_j4.x_2e, x_16);
},
x_jk: function(x_6v) {
var
x_47 = x_6v.x_ac,
x_1c,
x_32,
x_js,
x_1n;
if (x_6v.x_6x) {
x_js = this.x_jl.replace(/%id%/, x_47.id);
if (this.x_j9) {
x_1c = this.x_1c;
x_32 = this.x_32;
x_1n = kerio.lib.x_x('To download the file, click on the following link: ', 'configurationExport');
x_1c.x_2k(['x_jc'], false);
x_1c.x_29('x_jg').x_2i(x_1n + '<a href="' + x_js + '">kwf-export.tgz</a>');
x_1c.x_2k(['x_jf'], true);
x_32.x_jq('x_jh');
x_32.x_jq('x_ji');
x_32.x_jp('x_jj');
this.x_jt();
} else {
document.location = x_js;
this.x_2r();
}
}
else {
this.x_2r();
}
} }; 